/*
 *    smith_without.C --- To be included when compiling without the
 *                        pari library.
 *                      Part of Foamho, a sl3-homology calculator.
 *
 * Copyright (C) 2012 Lukas Lewark <lewark@math.jussieu.fr>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *
 */

#include <iostream>
#include <vector>
#include <list>
#include <deque>

#include "macros.H"
#include "rat.H"
#include "sparmat.H"
#include "main.H"
#include "smith.H"

bool withPari() {
    return false;
}

void smithNormalForm(chainComplex *CC, std::vector<torstruct> &torsion,
        std::vector<std::vector<unsigned> > &ranks,
        std::vector<std::vector<unsigned int> > ccDims,
        std::vector<std::vector<unsigned int> > IdxTranslator,
        unsigned int ccSpacesSize, int tShift, unsigned int QIdx, unsigned minQ)
{ }
